Introduction

The ScaleActiveX module allow users to obtain weight directly from the following Scale hardware. Version 1.0 of the ScaleActiveX control supports the following scale models (Seca Model 882, Tanita Model BF-350 and A&D Model UC-321P). The IQmark ScaleActiveX control is a microsoft activex control that allows users to obtain patient weight directly from weight scale hardware into a patient's chart in a medical record application.


ScaleActiveX Settings

Scalex Device Settings

The ScaleActiveX settings dialog allow users to change the default settings for the supported hardware device, the device communication com port and set the unit for the measured weights.


ScaleXData

Acquiring ScaleX Data

If the ScaleActiveX control is integrated, the program will display the following ScaleX display dialog when the application invoke the DisplayScaleXDialog method. The module will automatically record the weights when the scale hardware is connected to the asigned com port.

When a Scale Device is not connected to the computer's COM Port assigned to the scale device, the ScaleX Control Panel displays the yellow led light with the "Scale not Connected" text, as shown below. Cancel and close the ScaleX Control Panel, and ensure that the Scale device is connected to the specified scale Com Port.

The ScaleX Control Panel will display the Green Led light with the string "Reading Weight..." as shown below, when a scale device is connected and the device is measuring the weight.

When a measured weight in the scale is completed "Stable weight taken", the ScaleX Control Panel displays the green led light with the string "Weight Ready..." as shown below.


TroubleShooting

Refer to the operation manuals of the Scale Hardware device for all technical problems or device error codes and interpretations. The ScaleActiveX control supports the following weight scale hardware devices/models;

1. Tanita Scale Model BF-350
2. Seca Scale Model 882
3. A&D Scale Mode UC-321P